Bug 1311574 - [MLS] lpadmin: Internal Server Error
[MLS] lpadmin: Internal Server Error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
23
All All
high Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1281852
  Show dependency treegraph
 
Reported: 2016-02-24 08:41 EST by Miroslav Vadkerti
Modified: 2017-01-02 10:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:59:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (10.49 KB, text/plain)
2016-02-24 08:41 EST, Miroslav Vadkerti
no flags Details

  None (edit)
Description Miroslav Vadkerti 2016-02-24 08:41:32 EST
Created attachment 1130226 [details]
strace output

Description of problem:
When I try to add a socket printer in Fedora with SELinux MLS policy I get:

/usr/sbin/lpadmin -p test -E -v socket://localhost:9100 -m drv:///sample.drv/generic.ppd
lpadmin: Internal Server Error

with strace I see (see attached strace output for the whole log)
[ snip ]
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN|POLLHUP}])
poll([{fd=4, events=POLLIN}], 1, 60000) = 1 ([{fd=4, revents=POLLIN|POLLHUP}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL, NULL) = 711
access("/usr/share/locale/en_US/cups_en_US.po", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/locale/en/cups_en.po", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/C/cups_C.po", O_RDONLY) = -1 ENOENT (No such file or directory)
close(4)                                = 0
socket(PF_LOCAL, SOCK_STREAM, 0)        = 4
setsockopt(4, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
setsockopt(4, SOL_SOCKET, SO_REUSEPORT, [1], 4) = 0
setsockopt(4, SOL_TCP, TCP_NODELAY, [1], 4) = -1 EOPNOTSUPP (Operation not supported)
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
connect(4, {sa_family=AF_LOCAL, sun_path="/var/run/cups/cups.sock"}, 26) = 0
fcntl(4, F_SETFL, O_RDWR)               = 0
close(4)                                = 0
socket(PF_LOCAL, SOCK_STREAM, 0)        = 4
setsockopt(4, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
setsockopt(4, SOL_SOCKET, SO_REUSEPORT, [1], 4) = 0
setsockopt(4, SOL_TCP, TCP_NODELAY, [1], 4) = -1 EOPNOTSUPP (Operation not supported)
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
connect(4, {sa_family=AF_LOCAL, sun_path="/var/run/cups/cups.sock"}, 26) = 0
fcntl(4, F_SETFL, O_RDWR)               = 0
sendto(4, "POST /admin/ HTTP/1.1\r\nContent-L"..., 188, 0, NULL, 0) = 188
sendto(4, "\1\1@\3\0\0\0\2\1G\0\22attributes-charset\0\5"..., 207, 0, NULL, 0) = 207
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN|POLLHUP}])
poll([{fd=4, events=POLLIN}], 1, 60000) = 1 ([{fd=4, revents=POLLIN|POLLHUP}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL, NULL) = 711
write(2, "lpadmin: Internal Server Error\n", 31lpadmin: Internal Server Error
) = 31
exit_group(1)                           = ?
+++ exited with 1 +++

Version-Release number of selected component (if applicable):
cups-2.1.3-1.fc23

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora 23 with MLS selinux policy enabled
2. Start cupsd
3. /usr/sbin/lpadmin -p test -E -v socket://localhost:9100 -m drv:///sample.drv/generic.ppd

Actual results:
lpadmin: Internal Server Error

Expected results:
lpadmin works as expected
Comment 1 Fedora Admin XMLRPC Client 2016-06-24 06:30:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 10:44:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:59:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jiri Jaburek 2017-01-02 09:25:34 EST
There's no error anymore. Some AVCs are generated, but after turning on the use_lpd_server boolean, everything seems to work as expected.
Comment 5 Zdenek Dohnal 2017-01-02 10:15:14 EST
Thanks for info, Jirka.

Note You need to log in before you can comment on or make changes to this bug.